org.eclipse.graphiti.mm.pictograms

## Interface PictogramsPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PictogramsPackageImpl

    public interface PictogramsPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `PictogramsFactory`

### Nested Class Summary

Nested Classes
`static interface` `PictogramsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static int` `ADVANCED_ANCHOR` The meta object id for the '`Advanced Anchor`' class.
`static int` `ADVANCED_ANCHOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `ADVANCED_ANCHOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `ADVANCED_ANCHOR__INCOMING_CONNECTIONS` The feature id for the 'Incoming Connections' reference list.
`static int` `ADVANCED_ANCHOR__LINK` The feature id for the 'Link' containment reference.
`static int` `ADVANCED_ANCHOR__OUTGOING_CONNECTIONS` The feature id for the 'Outgoing Connections' reference list.
`static int` `ADVANCED_ANCHOR__PARENT` The feature id for the 'Parent' container reference.
`static int` `ADVANCED_ANCHOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `ADVANCED_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The feature id for the 'Referenced Graphics Algorithm' reference.
`static int` `ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT` The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.
`static int` `ADVANCED_ANCHOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `ADVANCED_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Advanced Anchor' class.
`static int` `ANCHOR` The meta object id for the '`Anchor`' class.
`static int` `ANCHOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `ANCHOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `ANCHOR__INCOMING_CONNECTIONS` The feature id for the 'Incoming Connections' reference list.
`static int` `ANCHOR__LINK` The feature id for the 'Link' containment reference.
`static int` `ANCHOR__OUTGOING_CONNECTIONS` The feature id for the 'Outgoing Connections' reference list.
`static int` `ANCHOR__PARENT` The feature id for the 'Parent' container reference.
`static int` `ANCHOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The feature id for the 'Referenced Graphics Algorithm' reference.
`static int` `ANCHOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `ANCHOR_CONTAINER` The meta object id for the '`Anchor Container`' class.
`static int` `ANCHOR_CONTAINER__ACTIVE` The feature id for the 'Active' attribute.
`static int` `ANCHOR_CONTAINER__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `ANCHOR_CONTAINER__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `ANCHOR_CONTAINER__LINK` The feature id for the 'Link' containment reference.
`static int` `ANCHOR_CONTAINER__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `ANCHOR_CONTAINER__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `ANCHOR_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Anchor Container' class.
`static int` `ANCHOR_FEATURE_COUNT` The number of structural features of the 'Anchor' class.
`static int` `BOX_RELATIVE_ANCHOR` The meta object id for the '`Box Relative Anchor`' class.
`static int` `BOX_RELATIVE_ANCHOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `BOX_RELATIVE_ANCHOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `BOX_RELATIVE_ANCHOR__INCOMING_CONNECTIONS` The feature id for the 'Incoming Connections' reference list.
`static int` `BOX_RELATIVE_ANCHOR__LINK` The feature id for the 'Link' containment reference.
`static int` `BOX_RELATIVE_ANCHOR__OUTGOING_CONNECTIONS` The feature id for the 'Outgoing Connections' reference list.
`static int` `BOX_RELATIVE_ANCHOR__PARENT` The feature id for the 'Parent' container reference.
`static int` `BOX_RELATIVE_ANCHOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `BOX_RELATIVE_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The feature id for the 'Referenced Graphics Algorithm' reference.
`static int` `BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT` The feature id for the 'Relative Height' attribute.
`static int` `BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH` The feature id for the 'Relative Width' attribute.
`static int` `BOX_RELATIVE_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT` The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.
`static int` `BOX_RELATIVE_ANCHOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `BOX_RELATIVE_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Box Relative Anchor' class.
`static int` `CHOPBOX_ANCHOR` The meta object id for the '`Chopbox Anchor`' class.
`static int` `CHOPBOX_ANCHOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `CHOPBOX_ANCHOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `CHOPBOX_ANCHOR__INCOMING_CONNECTIONS` The feature id for the 'Incoming Connections' reference list.
`static int` `CHOPBOX_ANCHOR__LINK` The feature id for the 'Link' containment reference.
`static int` `CHOPBOX_ANCHOR__OUTGOING_CONNECTIONS` The feature id for the 'Outgoing Connections' reference list.
`static int` `CHOPBOX_ANCHOR__PARENT` The feature id for the 'Parent' container reference.
`static int` `CHOPBOX_ANCHOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `CHOPBOX_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The feature id for the 'Referenced Graphics Algorithm' reference.
`static int` `CHOPBOX_ANCHOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `CHOPBOX_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Chopbox Anchor' class.
`static int` `COMPOSITE_CONNECTION` The meta object id for the '`Composite Connection`' class.
`static int` `COMPOSITE_CONNECTION__ACTIVE` The feature id for the 'Active' attribute.
`static int` `COMPOSITE_CONNECTION__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `COMPOSITE_CONNECTION__CHILDREN` The feature id for the 'Children' reference list.
`static int` `COMPOSITE_CONNECTION__CONNECTION_DECORATORS` The feature id for the 'Connection Decorators' containment reference list.
`static int` `COMPOSITE_CONNECTION__END` The feature id for the 'End' reference.
`static int` `COMPOSITE_CONNECTION__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `COMPOSITE_CONNECTION__LINK` The feature id for the 'Link' containment reference.
`static int` `COMPOSITE_CONNECTION__PARENT` The feature id for the 'Parent' container reference.
`static int` `COMPOSITE_CONNECTION__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `COMPOSITE_CONNECTION__START` The feature id for the 'Start' reference.
`static int` `COMPOSITE_CONNECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `COMPOSITE_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Composite Connection' class.
`static int` `CONNECTION` The meta object id for the '`Connection`' class.
`static int` `CONNECTION__ACTIVE` The feature id for the 'Active' attribute.
`static int` `CONNECTION__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `CONNECTION__CONNECTION_DECORATORS` The feature id for the 'Connection Decorators' containment reference list.
`static int` `CONNECTION__END` The feature id for the 'End' reference.
`static int` `CONNECTION__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `CONNECTION__LINK` The feature id for the 'Link' containment reference.
`static int` `CONNECTION__PARENT` The feature id for the 'Parent' container reference.
`static int` `CONNECTION__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `CONNECTION__START` The feature id for the 'Start' reference.
`static int` `CONNECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `CONNECTION_DECORATOR` The meta object id for the '`Connection Decorator`' class.
`static int` `CONNECTION_DECORATOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `CONNECTION_DECORATOR__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `CONNECTION_DECORATOR__CONNECTION` The feature id for the 'Connection' container reference.
`static int` `CONNECTION_DECORATOR__CONTAINER` The feature id for the 'Container' container reference.
`static int` `CONNECTION_DECORATOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `CONNECTION_DECORATOR__LINK` The feature id for the 'Link' containment reference.
`static int` `CONNECTION_DECORATOR__LOCATION` The feature id for the 'Location' attribute.
`static int` `CONNECTION_DECORATOR__LOCATION_RELATIVE` The feature id for the 'Location Relative' attribute.
`static int` `CONNECTION_DECORATOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `CONNECTION_DECORATOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `CONNECTION_DECORATOR_FEATURE_COUNT` The number of structural features of the 'Connection Decorator' class.
`static int` `CONNECTION_FEATURE_COUNT` The number of structural features of the 'Connection' class.
`static int` `CONTAINER_SHAPE` The meta object id for the '`Container Shape`' class.
`static int` `CONTAINER_SHAPE__ACTIVE` The feature id for the 'Active' attribute.
`static int` `CONTAINER_SHAPE__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `CONTAINER_SHAPE__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `CONTAINER_SHAPE__CONTAINER` The feature id for the 'Container' container reference.
`static int` `CONTAINER_SHAPE__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `CONTAINER_SHAPE__LINK` The feature id for the 'Link' containment reference.
`static int` `CONTAINER_SHAPE__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `CONTAINER_SHAPE__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `CONTAINER_SHAPE_FEATURE_COUNT` The number of structural features of the 'Container Shape' class.
`static int` `CURVED_CONNECTION` The meta object id for the '`Curved Connection`' class.
`static int` `CURVED_CONNECTION__ACTIVE` The feature id for the 'Active' attribute.
`static int` `CURVED_CONNECTION__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `CURVED_CONNECTION__CONNECTION_DECORATORS` The feature id for the 'Connection Decorators' containment reference list.
`static int` `CURVED_CONNECTION__CONTROL_POINTS` The feature id for the 'Control Points' containment reference list.
`static int` `CURVED_CONNECTION__END` The feature id for the 'End' reference.
`static int` `CURVED_CONNECTION__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `CURVED_CONNECTION__LINK` The feature id for the 'Link' containment reference.
`static int` `CURVED_CONNECTION__PARENT` The feature id for the 'Parent' container reference.
`static int` `CURVED_CONNECTION__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `CURVED_CONNECTION__START` The feature id for the 'Start' reference.
`static int` `CURVED_CONNECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `CURVED_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Curved Connection' class.
`static int` `DIAGRAM` The meta object id for the '`Diagram`' class.
`static int` `DIAGRAM__ACTIVE` The feature id for the 'Active' attribute.
`static int` `DIAGRAM__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `DIAGRAM__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` `DIAGRAM__COLORS` The feature id for the 'Colors' containment reference list.
`static int` `DIAGRAM__CONNECTIONS` The feature id for the 'Connections' containment reference list.
`static int` `DIAGRAM__CONTAINER` The feature id for the 'Container' container reference.
`static int` `DIAGRAM__DIAGRAM_TYPE_ID` The feature id for the 'Diagram Type Id' attribute.
`static int` `DIAGRAM__FONTS` The feature id for the 'Fonts' containment reference list.
`static int` `DIAGRAM__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `DIAGRAM__GRID_UNIT` The feature id for the 'Grid Unit' attribute.
`static int` `DIAGRAM__LINK` The feature id for the 'Link' containment reference.
`static int` `DIAGRAM__NAME` The feature id for the 'Name' attribute.
`static int` `DIAGRAM__PICTOGRAM_LINKS` The feature id for the 'Pictogram Links' reference list.
`static int` `DIAGRAM__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `DIAGRAM__SHOW_GUIDES` The feature id for the 'Show Guides' attribute.
`static int` `DIAGRAM__SNAP_TO_GRID` The feature id for the 'Snap To Grid' attribute.
`static int` `DIAGRAM__STYLES` The feature id for the 'Styles' containment reference list.
`static int` `DIAGRAM__VERSION` The feature id for the 'Version' attribute.
`static int` `DIAGRAM__VERTICAL_GRID_UNIT` The feature id for the 'Vertical Grid Unit' attribute.
`static int` `DIAGRAM__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Diagram' class.
`static PictogramsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FIX_POINT_ANCHOR` The meta object id for the '`Fix Point Anchor`' class.
`static int` `FIX_POINT_ANCHOR__ACTIVE` The feature id for the 'Active' attribute.
`static int` `FIX_POINT_ANCHOR__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `FIX_POINT_ANCHOR__INCOMING_CONNECTIONS` The feature id for the 'Incoming Connections' reference list.
`static int` `FIX_POINT_ANCHOR__LINK` The feature id for the 'Link' containment reference.
`static int` `FIX_POINT_ANCHOR__LOCATION` The feature id for the 'Location' containment reference.
`static int` `FIX_POINT_ANCHOR__OUTGOING_CONNECTIONS` The feature id for the 'Outgoing Connections' reference list.
`static int` `FIX_POINT_ANCHOR__PARENT` The feature id for the 'Parent' container reference.
`static int` `FIX_POINT_ANCHOR__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `FIX_POINT_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM` The feature id for the 'Referenced Graphics Algorithm' reference.
`static int` `FIX_POINT_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT` The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.
`static int` `FIX_POINT_ANCHOR__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `FIX_POINT_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Fix Point Anchor' class.
`static int` `FREE_FORM_CONNECTION` The meta object id for the '`Free Form Connection`' class.
`static int` `FREE_FORM_CONNECTION__ACTIVE` The feature id for the 'Active' attribute.
`static int` `FREE_FORM_CONNECTION__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `FREE_FORM_CONNECTION__BENDPOINTS` The feature id for the 'Bendpoints' containment reference list.
`static int` `FREE_FORM_CONNECTION__CONNECTION_DECORATORS` The feature id for the 'Connection Decorators' containment reference list.
`static int` `FREE_FORM_CONNECTION__END` The feature id for the 'End' reference.
`static int` `FREE_FORM_CONNECTION__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `FREE_FORM_CONNECTION__LINK` The feature id for the 'Link' containment reference.
`static int` `FREE_FORM_CONNECTION__PARENT` The feature id for the 'Parent' container reference.
`static int` `FREE_FORM_CONNECTION__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `FREE_FORM_CONNECTION__START` The feature id for the 'Start' reference.
`static int` `FREE_FORM_CONNECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `FREE_FORM_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Free Form Connection' class.
`static int` `MANHATTAN_CONNECTION` The meta object id for the '`Manhattan Connection`' class.
`static int` `MANHATTAN_CONNECTION__ACTIVE` The feature id for the 'Active' attribute.
`static int` `MANHATTAN_CONNECTION__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `MANHATTAN_CONNECTION__CONNECTION_DECORATORS` The feature id for the 'Connection Decorators' containment reference list.
`static int` `MANHATTAN_CONNECTION__END` The feature id for the 'End' reference.
`static int` `MANHATTAN_CONNECTION__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `MANHATTAN_CONNECTION__LINK` The feature id for the 'Link' containment reference.
`static int` `MANHATTAN_CONNECTION__PARENT` The feature id for the 'Parent' container reference.
`static int` `MANHATTAN_CONNECTION__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `MANHATTAN_CONNECTION__START` The feature id for the 'Start' reference.
`static int` `MANHATTAN_CONNECTION__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `MANHATTAN_CONNECTION_FEATURE_COUNT` The number of structural features of the 'Manhattan Connection' class.
`static int` `PICTOGRAM_ELEMENT` The meta object id for the '`Pictogram Element`' class.
`static int` `PICTOGRAM_ELEMENT__ACTIVE` The feature id for the 'Active' attribute.
`static int` `PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `PICTOGRAM_ELEMENT__LINK` The feature id for the 'Link' containment reference.
`static int` `PICTOGRAM_ELEMENT__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `PICTOGRAM_ELEMENT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `PICTOGRAM_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Pictogram Element' class.
`static int` `PICTOGRAM_LINK` The meta object id for the '`Pictogram Link`' class.
`static int` `PICTOGRAM_LINK__BUSINESS_OBJECTS` The feature id for the 'Business Objects' reference list.
`static int` `PICTOGRAM_LINK__PICTOGRAM_ELEMENT` The feature id for the 'Pictogram Element' container reference.
`static int` `PICTOGRAM_LINK__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `PICTOGRAM_LINK_FEATURE_COUNT` The number of structural features of the 'Pictogram Link' class.
`static int` `SHAPE` The meta object id for the '`Shape`' class.
`static int` `SHAPE__ACTIVE` The feature id for the 'Active' attribute.
`static int` `SHAPE__ANCHORS` The feature id for the 'Anchors' containment reference list.
`static int` `SHAPE__CONTAINER` The feature id for the 'Container' container reference.
`static int` `SHAPE__GRAPHICS_ALGORITHM` The feature id for the 'Graphics Algorithm' containment reference.
`static int` `SHAPE__LINK` The feature id for the 'Link' containment reference.
`static int` `SHAPE__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `SHAPE__VISIBLE` The feature id for the 'Visible' attribute.
`static int` `SHAPE_FEATURE_COUNT` The number of structural features of the 'Shape' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EAttribute` `getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint()` Returns the meta object for the attribute ' `Use Anchor Location As Connection Endpoint`'.
`org.eclipse.emf.ecore.EClass` `getAdvancedAnchor()` Returns the meta object for class '`Advanced Anchor`'.
`org.eclipse.emf.ecore.EReference` `getAnchor_IncomingConnections()` Returns the meta object for the reference list '`Incoming Connections`'.
`org.eclipse.emf.ecore.EReference` `getAnchor_OutgoingConnections()` Returns the meta object for the reference list '`Outgoing Connections`'.
`org.eclipse.emf.ecore.EReference` `getAnchor_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EReference` `getAnchor_ReferencedGraphicsAlgorithm()` Returns the meta object for the reference '`Referenced Graphics Algorithm`'.
`org.eclipse.emf.ecore.EClass` `getAnchor()` Returns the meta object for class '`Anchor`'.
`org.eclipse.emf.ecore.EReference` `getAnchorContainer_Anchors()` Returns the meta object for the containment reference list '`Anchors`'.
`org.eclipse.emf.ecore.EClass` `getAnchorContainer()` Returns the meta object for class '`Anchor Container`'.
`org.eclipse.emf.ecore.EAttribute` `getBoxRelativeAnchor_RelativeHeight()` Returns the meta object for the attribute '`Relative Height`'.
`org.eclipse.emf.ecore.EAttribute` `getBoxRelativeAnchor_RelativeWidth()` Returns the meta object for the attribute '`Relative Width`'.
`org.eclipse.emf.ecore.EClass` `getBoxRelativeAnchor()` Returns the meta object for class '`Box Relative Anchor`'.
`org.eclipse.emf.ecore.EClass` `getChopboxAnchor()` Returns the meta object for class '`Chopbox Anchor`'.
`org.eclipse.emf.ecore.EReference` `getCompositeConnection_Children()` Returns the meta object for the reference list '`Children`'.
`org.eclipse.emf.ecore.EClass` `getCompositeConnection()` Returns the meta object for class '`Composite Connection`'.
`org.eclipse.emf.ecore.EReference` `getConnection_ConnectionDecorators()` Returns the meta object for the containment reference list '`Connection Decorators`'.
`org.eclipse.emf.ecore.EReference` `getConnection_End()` Returns the meta object for the reference '`End`'.
`org.eclipse.emf.ecore.EReference` `getConnection_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EReference` `getConnection_Start()` Returns the meta object for the reference '`Start`'.
`org.eclipse.emf.ecore.EClass` `getConnection()` Returns the meta object for class '`Connection`'.
`org.eclipse.emf.ecore.EReference` `getConnectionDecorator_Connection()` Returns the meta object for the container reference '`Connection`'.
`org.eclipse.emf.ecore.EAttribute` `getConnectionDecorator_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EAttribute` `getConnectionDecorator_LocationRelative()` Returns the meta object for the attribute '`Location Relative`'.
`org.eclipse.emf.ecore.EClass` `getConnectionDecorator()` Returns the meta object for class '`Connection Decorator`'.
`org.eclipse.emf.ecore.EReference` `getContainerShape_Children()` Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EClass` `getContainerShape()` Returns the meta object for class '`Container Shape`'.
`org.eclipse.emf.ecore.EReference` `getCurvedConnection_ControlPoints()` Returns the meta object for the containment reference list '`Control Points`'.
`org.eclipse.emf.ecore.EClass` `getCurvedConnection()` Returns the meta object for class ' `Curved Connection`'.
`org.eclipse.emf.ecore.EReference` `getDiagram_Colors()` Returns the meta object for the containment reference list '`Colors`'.
`org.eclipse.emf.ecore.EReference` `getDiagram_Connections()` Returns the meta object for the containment reference list '`Connections`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_DiagramTypeId()` Returns the meta object for the attribute '`Diagram Type Id`'.
`org.eclipse.emf.ecore.EReference` `getDiagram_Fonts()` Returns the meta object for the containment reference list '`Fonts`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_GridUnit()` Returns the meta object for the attribute '`Grid Unit`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` `getDiagram_PictogramLinks()` Returns the meta object for the reference list '`Pictogram Links`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_ShowGuides()` Returns the meta object for the attribute '`Show Guides`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_SnapToGrid()` Returns the meta object for the attribute '`Snap To Grid`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Version()` Returns the meta object for the attribute '`Version`'.
`org.eclipse.emf.ecore.EAttribute` `getDiagram_VerticalGridUnit()` Returns the meta object for the attribute '`Vertical Grid Unit`'.
`org.eclipse.emf.ecore.EClass` `getDiagram()` Returns the meta object for class '`Diagram`'.
`org.eclipse.emf.ecore.EReference` `getFixPointAnchor_Location()` Returns the meta object for the containment reference '`Location`'.
`org.eclipse.emf.ecore.EClass` `getFixPointAnchor()` Returns the meta object for class '`Fix Point Anchor`'.
`org.eclipse.emf.ecore.EReference` `getFreeFormConnection_Bendpoints()` Returns the meta object for the containment reference list '`Bendpoints`'.
`org.eclipse.emf.ecore.EClass` `getFreeFormConnection()` Returns the meta object for class '`Free Form Connection`'.
`org.eclipse.emf.ecore.EClass` `getManhattanConnection()` Returns the meta object for class '`Manhattan Connection`'.
`org.eclipse.emf.ecore.EAttribute` `getPictogramElement_Active()` Returns the meta object for the attribute '`Active`'.
`org.eclipse.emf.ecore.EReference` `getPictogramElement_GraphicsAlgorithm()` Returns the meta object for the containment reference '`Graphics Algorithm`'.
`org.eclipse.emf.ecore.EReference` `getPictogramElement_Link()` Returns the meta object for the containment reference '`Link`'.
`org.eclipse.emf.ecore.EAttribute` `getPictogramElement_Visible()` Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EClass` `getPictogramElement()` Returns the meta object for class '`Pictogram Element`'.
`org.eclipse.emf.ecore.EReference` `getPictogramLink_BusinessObjects()` Returns the meta object for the reference list '`Business Objects`'.
`org.eclipse.emf.ecore.EReference` `getPictogramLink_PictogramElement()` Returns the meta object for the container reference '`Pictogram Element`'.
`org.eclipse.emf.ecore.EClass` `getPictogramLink()` Returns the meta object for class '`Pictogram Link`'.
`PictogramsFactory` `getPictogramsFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getShape_Container()` Returns the meta object for the container reference '`Container`'.
`org.eclipse.emf.ecore.EClass` `getShape()` Returns the meta object for class '`Shape`'.

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final PictogramsPackage eINSTANCE

The singleton instance of the package.

#### PICTOGRAM_ELEMENT

    static final int PICTOGRAM_ELEMENT

The meta object id for the '`Pictogram Element`' class.

See Also:
  `PictogramElementImpl`, `PictogramsPackageImpl.getPictogramElement()`, Constant Field Values

#### PICTOGRAM_ELEMENT__PROPERTIES

    static final int PICTOGRAM_ELEMENT__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### PICTOGRAM_ELEMENT__VISIBLE

    static final int PICTOGRAM_ELEMENT__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM

    static final int PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### PICTOGRAM_ELEMENT__ACTIVE

    static final int PICTOGRAM_ELEMENT__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### PICTOGRAM_ELEMENT__LINK

    static final int PICTOGRAM_ELEMENT__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### PICTOGRAM_ELEMENT_FEATURE_COUNT

    static final int PICTOGRAM_ELEMENT_FEATURE_COUNT

The number of structural features of the 'Pictogram Element' class.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER

    static final int ANCHOR_CONTAINER

The meta object id for the '`Anchor Container`' class.

See Also:
  `AnchorContainerImpl`, `PictogramsPackageImpl.getAnchorContainer()`, Constant Field Values

#### ANCHOR_CONTAINER__PROPERTIES

    static final int ANCHOR_CONTAINER__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER__VISIBLE

    static final int ANCHOR_CONTAINER__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER__GRAPHICS_ALGORITHM

    static final int ANCHOR_CONTAINER__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER__ACTIVE

    static final int ANCHOR_CONTAINER__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER__LINK

    static final int ANCHOR_CONTAINER__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER__ANCHORS

    static final int ANCHOR_CONTAINER__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### ANCHOR_CONTAINER_FEATURE_COUNT

    static final int ANCHOR_CONTAINER_FEATURE_COUNT

The number of structural features of the 'Anchor Container' class.

See Also:
  Constant Field Values

#### SHAPE

    static final int SHAPE

The meta object id for the '`Shape`' class.

See Also:
  `ShapeImpl`, `PictogramsPackageImpl.getShape()`, Constant Field Values

#### SHAPE__PROPERTIES

    static final int SHAPE__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### SHAPE__VISIBLE

    static final int SHAPE__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### SHAPE__GRAPHICS_ALGORITHM

    static final int SHAPE__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### SHAPE__ACTIVE

    static final int SHAPE__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### SHAPE__LINK

    static final int SHAPE__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### SHAPE__ANCHORS

    static final int SHAPE__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### SHAPE__CONTAINER

    static final int SHAPE__CONTAINER

The feature id for the 'Container' container reference.

See Also:
  Constant Field Values

#### SHAPE_FEATURE_COUNT

    static final int SHAPE_FEATURE_COUNT

The number of structural features of the 'Shape' class.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE

    static final int CONTAINER_SHAPE

The meta object id for the '`Container Shape`' class.

See Also:
  `ContainerShapeImpl`, `PictogramsPackageImpl.getContainerShape()`, Constant Field Values

#### CONTAINER_SHAPE__PROPERTIES

    static final int CONTAINER_SHAPE__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__VISIBLE

    static final int CONTAINER_SHAPE__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__GRAPHICS_ALGORITHM

    static final int CONTAINER_SHAPE__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__ACTIVE

    static final int CONTAINER_SHAPE__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__LINK

    static final int CONTAINER_SHAPE__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__ANCHORS

    static final int CONTAINER_SHAPE__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__CONTAINER

    static final int CONTAINER_SHAPE__CONTAINER

The feature id for the 'Container' container reference.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE__CHILDREN

    static final int CONTAINER_SHAPE__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### CONTAINER_SHAPE_FEATURE_COUNT

    static final int CONTAINER_SHAPE_FEATURE_COUNT

The number of structural features of the 'Container Shape' class.

See Also:
  Constant Field Values

#### DIAGRAM

    static final int DIAGRAM

The meta object id for the '`Diagram`' class.

See Also:
  `DiagramImpl`, `PictogramsPackageImpl.getDiagram()`, Constant Field Values

#### DIAGRAM__PROPERTIES

    static final int DIAGRAM__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__VISIBLE

    static final int DIAGRAM__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__GRAPHICS_ALGORITHM

    static final int DIAGRAM__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### DIAGRAM__ACTIVE

    static final int DIAGRAM__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__LINK

    static final int DIAGRAM__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### DIAGRAM__ANCHORS

    static final int DIAGRAM__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__CONTAINER

    static final int DIAGRAM__CONTAINER

The feature id for the 'Container' container reference.

See Also:
  Constant Field Values

#### DIAGRAM__CHILDREN

    static final int DIAGRAM__CHILDREN

The feature id for the 'Children' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__STYLES

    static final int DIAGRAM__STYLES

The feature id for the 'Styles' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__GRID_UNIT

    static final int DIAGRAM__GRID_UNIT

The feature id for the 'Grid Unit' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__DIAGRAM_TYPE_ID

    static final int DIAGRAM__DIAGRAM_TYPE_ID

The feature id for the 'Diagram Type Id' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__CONNECTIONS

    static final int DIAGRAM__CONNECTIONS

The feature id for the 'Connections' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__NAME

    static final int DIAGRAM__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__SNAP_TO_GRID

    static final int DIAGRAM__SNAP_TO_GRID

The feature id for the 'Snap To Grid' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__SHOW_GUIDES

    static final int DIAGRAM__SHOW_GUIDES

The feature id for the 'Show Guides' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__COLORS

    static final int DIAGRAM__COLORS

The feature id for the 'Colors' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__FONTS

    static final int DIAGRAM__FONTS

The feature id for the 'Fonts' containment reference list.

See Also:
  Constant Field Values

#### DIAGRAM__PICTOGRAM_LINKS

    static final int DIAGRAM__PICTOGRAM_LINKS

The feature id for the 'Pictogram Links' reference list.

See Also:
  Constant Field Values

#### DIAGRAM__VERTICAL_GRID_UNIT

    static final int DIAGRAM__VERTICAL_GRID_UNIT

The feature id for the 'Vertical Grid Unit' attribute.

See Also:
  Constant Field Values

#### DIAGRAM__VERSION

    static final int DIAGRAM__VERSION

The feature id for the 'Version' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### DIAGRAM_FEATURE_COUNT

    static final int DIAGRAM_FEATURE_COUNT

The number of structural features of the 'Diagram' class.

See Also:
  Constant Field Values

#### CONNECTION

    static final int CONNECTION

The meta object id for the '`Connection`' class.

See Also:
  `ConnectionImpl`, `PictogramsPackageImpl.getConnection()`, Constant Field Values

#### CONNECTION__PROPERTIES

    static final int CONNECTION__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### CONNECTION__VISIBLE

    static final int CONNECTION__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### CONNECTION__GRAPHICS_ALGORITHM

    static final int CONNECTION__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### CONNECTION__ACTIVE

    static final int CONNECTION__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### CONNECTION__LINK

    static final int CONNECTION__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### CONNECTION__ANCHORS

    static final int CONNECTION__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### CONNECTION__START

    static final int CONNECTION__START

The feature id for the 'Start' reference.

See Also:
  Constant Field Values

#### CONNECTION__END

    static final int CONNECTION__END

The feature id for the 'End' reference.

See Also:
  Constant Field Values

#### CONNECTION__PARENT

    static final int CONNECTION__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### CONNECTION__CONNECTION_DECORATORS

    static final int CONNECTION__CONNECTION_DECORATORS

The feature id for the 'Connection Decorators' containment reference list.

See Also:
  Constant Field Values

#### CONNECTION_FEATURE_COUNT

    static final int CONNECTION_FEATURE_COUNT

The number of structural features of the 'Connection' class.

See Also:
  Constant Field Values

#### ANCHOR

    static final int ANCHOR

The meta object id for the '`Anchor`' class.

See Also:
  `AnchorImpl`, `PictogramsPackageImpl.getAnchor()`, Constant Field Values

#### ANCHOR__PROPERTIES

    static final int ANCHOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### ANCHOR__VISIBLE

    static final int ANCHOR__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### ANCHOR__GRAPHICS_ALGORITHM

    static final int ANCHOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### ANCHOR__ACTIVE

    static final int ANCHOR__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### ANCHOR__LINK

    static final int ANCHOR__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### ANCHOR__PARENT

    static final int ANCHOR__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### ANCHOR__OUTGOING_CONNECTIONS

    static final int ANCHOR__OUTGOING_CONNECTIONS

The feature id for the 'Outgoing Connections' reference list.

See Also:
  Constant Field Values

#### ANCHOR__INCOMING_CONNECTIONS

    static final int ANCHOR__INCOMING_CONNECTIONS

The feature id for the 'Incoming Connections' reference list.

See Also:
  Constant Field Values

#### ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final int ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The feature id for the 'Referenced Graphics Algorithm' reference.

See Also:
  Constant Field Values

#### ANCHOR_FEATURE_COUNT

    static final int ANCHOR_FEATURE_COUNT

The number of structural features of the 'Anchor' class.

See Also:
  Constant Field Values

#### ADVANCED_ANCHOR

    static final int ADVANCED_ANCHOR

The meta object id for the '`Advanced Anchor`' class.

Since:
  0.9
See Also:
  `AdvancedAnchorImpl`, `PictogramsPackageImpl.getAdvancedAnchor()`, Constant Field Values

#### ADVANCED_ANCHOR__PROPERTIES

    static final int ADVANCED_ANCHOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__VISIBLE

    static final int ADVANCED_ANCHOR__VISIBLE

The feature id for the 'Visible' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__GRAPHICS_ALGORITHM

    static final int ADVANCED_ANCHOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__ACTIVE

    static final int ADVANCED_ANCHOR__ACTIVE

The feature id for the 'Active' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__LINK

    static final int ADVANCED_ANCHOR__LINK

The feature id for the 'Link' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__PARENT

    static final int ADVANCED_ANCHOR__PARENT

The feature id for the 'Parent' container reference.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__OUTGOING_CONNECTIONS

    static final int ADVANCED_ANCHOR__OUTGOING_CONNECTIONS

The feature id for the 'Outgoing Connections' reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__INCOMING_CONNECTIONS

    static final int ADVANCED_ANCHOR__INCOMING_CONNECTIONS

The feature id for the 'Incoming Connections' reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final int ADVANCED_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The feature id for the 'Referenced Graphics Algorithm' reference.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

    static final int ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### ADVANCED_ANCHOR_FEATURE_COUNT

    static final int ADVANCED_ANCHOR_FEATURE_COUNT

The number of structural features of the 'Advanced Anchor' class.

Since:
  0.9
See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR

    static final int FIX_POINT_ANCHOR

The meta object id for the '`Fix Point Anchor`' class.

See Also:
  `FixPointAnchorImpl`, `PictogramsPackageImpl.getFixPointAnchor()`, Constant Field Values

#### FIX_POINT_ANCHOR__PROPERTIES

    static final int FIX_POINT_ANCHOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__VISIBLE

    static final int FIX_POINT_ANCHOR__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__GRAPHICS_ALGORITHM

    static final int FIX_POINT_ANCHOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__ACTIVE

    static final int FIX_POINT_ANCHOR__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__LINK

    static final int FIX_POINT_ANCHOR__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__PARENT

    static final int FIX_POINT_ANCHOR__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__OUTGOING_CONNECTIONS

    static final int FIX_POINT_ANCHOR__OUTGOING_CONNECTIONS

The feature id for the 'Outgoing Connections' reference list.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__INCOMING_CONNECTIONS

    static final int FIX_POINT_ANCHOR__INCOMING_CONNECTIONS

The feature id for the 'Incoming Connections' reference list.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final int FIX_POINT_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The feature id for the 'Referenced Graphics Algorithm' reference.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

    static final int FIX_POINT_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR__LOCATION

    static final int FIX_POINT_ANCHOR__LOCATION

The feature id for the 'Location' containment reference.

See Also:
  Constant Field Values

#### FIX_POINT_ANCHOR_FEATURE_COUNT

    static final int FIX_POINT_ANCHOR_FEATURE_COUNT

The number of structural features of the 'Fix Point Anchor' class.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR

    static final int BOX_RELATIVE_ANCHOR

The meta object id for the '`Box Relative Anchor`' class.

See Also:
  `BoxRelativeAnchorImpl`, `PictogramsPackageImpl.getBoxRelativeAnchor()`, Constant Field Values

#### BOX_RELATIVE_ANCHOR__PROPERTIES

    static final int BOX_RELATIVE_ANCHOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__VISIBLE

    static final int BOX_RELATIVE_ANCHOR__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__GRAPHICS_ALGORITHM

    static final int BOX_RELATIVE_ANCHOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__ACTIVE

    static final int BOX_RELATIVE_ANCHOR__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__LINK

    static final int BOX_RELATIVE_ANCHOR__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__PARENT

    static final int BOX_RELATIVE_ANCHOR__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__OUTGOING_CONNECTIONS

    static final int BOX_RELATIVE_ANCHOR__OUTGOING_CONNECTIONS

The feature id for the 'Outgoing Connections' reference list.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__INCOMING_CONNECTIONS

    static final int BOX_RELATIVE_ANCHOR__INCOMING_CONNECTIONS

The feature id for the 'Incoming Connections' reference list.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final int BOX_RELATIVE_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The feature id for the 'Referenced Graphics Algorithm' reference.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

    static final int BOX_RELATIVE_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT

The feature id for the 'Use Anchor Location As Connection Endpoint' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH

    static final int BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH

The feature id for the 'Relative Width' attribute.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT

    static final int BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT

The feature id for the 'Relative Height' attribute.

See Also:
  Constant Field Values

#### BOX_RELATIVE_ANCHOR_FEATURE_COUNT

    static final int BOX_RELATIVE_ANCHOR_FEATURE_COUNT

The number of structural features of the 'Box Relative Anchor' class.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR

    static final int CHOPBOX_ANCHOR

The meta object id for the '`Chopbox Anchor`' class.

See Also:
  `ChopboxAnchorImpl`, `PictogramsPackageImpl.getChopboxAnchor()`, Constant Field Values

#### CHOPBOX_ANCHOR__PROPERTIES

    static final int CHOPBOX_ANCHOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__VISIBLE

    static final int CHOPBOX_ANCHOR__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__GRAPHICS_ALGORITHM

    static final int CHOPBOX_ANCHOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__ACTIVE

    static final int CHOPBOX_ANCHOR__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__LINK

    static final int CHOPBOX_ANCHOR__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__PARENT

    static final int CHOPBOX_ANCHOR__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__OUTGOING_CONNECTIONS

    static final int CHOPBOX_ANCHOR__OUTGOING_CONNECTIONS

The feature id for the 'Outgoing Connections' reference list.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__INCOMING_CONNECTIONS

    static final int CHOPBOX_ANCHOR__INCOMING_CONNECTIONS

The feature id for the 'Incoming Connections' reference list.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

    static final int CHOPBOX_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM

The feature id for the 'Referenced Graphics Algorithm' reference.

See Also:
  Constant Field Values

#### CHOPBOX_ANCHOR_FEATURE_COUNT

    static final int CHOPBOX_ANCHOR_FEATURE_COUNT

The number of structural features of the 'Chopbox Anchor' class.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR

    static final int CONNECTION_DECORATOR

The meta object id for the '`Connection Decorator`' class.

See Also:
  `ConnectionDecoratorImpl`, `PictogramsPackageImpl.getConnectionDecorator()`, Constant Field Values

#### CONNECTION_DECORATOR__PROPERTIES

    static final int CONNECTION_DECORATOR__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__VISIBLE

    static final int CONNECTION_DECORATOR__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__GRAPHICS_ALGORITHM

    static final int CONNECTION_DECORATOR__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__ACTIVE

    static final int CONNECTION_DECORATOR__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__LINK

    static final int CONNECTION_DECORATOR__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__ANCHORS

    static final int CONNECTION_DECORATOR__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__CONTAINER

    static final int CONNECTION_DECORATOR__CONTAINER

The feature id for the 'Container' container reference.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__LOCATION_RELATIVE

    static final int CONNECTION_DECORATOR__LOCATION_RELATIVE

The feature id for the 'Location Relative' attribute.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__LOCATION

    static final int CONNECTION_DECORATOR__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR__CONNECTION

    static final int CONNECTION_DECORATOR__CONNECTION

The feature id for the 'Connection' container reference.

See Also:
  Constant Field Values

#### CONNECTION_DECORATOR_FEATURE_COUNT

    static final int CONNECTION_DECORATOR_FEATURE_COUNT

The number of structural features of the 'Connection Decorator' class.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION

    static final int FREE_FORM_CONNECTION

The meta object id for the '`Free Form Connection`' class.

See Also:
  `FreeFormConnectionImpl`, `PictogramsPackageImpl.getFreeFormConnection()`, Constant Field Values

#### FREE_FORM_CONNECTION__PROPERTIES

    static final int FREE_FORM_CONNECTION__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__VISIBLE

    static final int FREE_FORM_CONNECTION__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__GRAPHICS_ALGORITHM

    static final int FREE_FORM_CONNECTION__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__ACTIVE

    static final int FREE_FORM_CONNECTION__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__LINK

    static final int FREE_FORM_CONNECTION__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__ANCHORS

    static final int FREE_FORM_CONNECTION__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__START

    static final int FREE_FORM_CONNECTION__START

The feature id for the 'Start' reference.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__END

    static final int FREE_FORM_CONNECTION__END

The feature id for the 'End' reference.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__PARENT

    static final int FREE_FORM_CONNECTION__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__CONNECTION_DECORATORS

    static final int FREE_FORM_CONNECTION__CONNECTION_DECORATORS

The feature id for the 'Connection Decorators' containment reference list.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION__BENDPOINTS

    static final int FREE_FORM_CONNECTION__BENDPOINTS

The feature id for the 'Bendpoints' containment reference list.

See Also:
  Constant Field Values

#### FREE_FORM_CONNECTION_FEATURE_COUNT

    static final int FREE_FORM_CONNECTION_FEATURE_COUNT

The number of structural features of the 'Free Form Connection' class.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION

    static final int MANHATTAN_CONNECTION

The meta object id for the '`Manhattan Connection`' class.

See Also:
  `ManhattanConnectionImpl`, `PictogramsPackageImpl.getManhattanConnection()`, Constant Field Values

#### MANHATTAN_CONNECTION__PROPERTIES

    static final int MANHATTAN_CONNECTION__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__VISIBLE

    static final int MANHATTAN_CONNECTION__VISIBLE

The feature id for the 'Visible' attribute.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__GRAPHICS_ALGORITHM

    static final int MANHATTAN_CONNECTION__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__ACTIVE

    static final int MANHATTAN_CONNECTION__ACTIVE

The feature id for the 'Active' attribute.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__LINK

    static final int MANHATTAN_CONNECTION__LINK

The feature id for the 'Link' containment reference.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__ANCHORS

    static final int MANHATTAN_CONNECTION__ANCHORS

The feature id for the 'Anchors' containment reference list.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__START

    static final int MANHATTAN_CONNECTION__START

The feature id for the 'Start' reference.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__END

    static final int MANHATTAN_CONNECTION__END

The feature id for the 'End' reference.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__PARENT

    static final int MANHATTAN_CONNECTION__PARENT

The feature id for the 'Parent' container reference.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION__CONNECTION_DECORATORS

    static final int MANHATTAN_CONNECTION__CONNECTION_DECORATORS

The feature id for the 'Connection Decorators' containment reference list.

See Also:
  Constant Field Values

#### MANHATTAN_CONNECTION_FEATURE_COUNT

    static final int MANHATTAN_CONNECTION_FEATURE_COUNT

The number of structural features of the 'Manhattan Connection' class.

See Also:
  Constant Field Values

#### PICTOGRAM_LINK

    static final int PICTOGRAM_LINK

The meta object id for the '`Pictogram Link`' class.

See Also:
  `PictogramLinkImpl`, `PictogramsPackageImpl.getPictogramLink()`, Constant Field Values

#### PICTOGRAM_LINK__PROPERTIES

    static final int PICTOGRAM_LINK__PROPERTIES

The feature id for the 'Properties' containment reference list.

See Also:
  Constant Field Values

#### PICTOGRAM_LINK__PICTOGRAM_ELEMENT

    static final int PICTOGRAM_LINK__PICTOGRAM_ELEMENT

The feature id for the 'Pictogram Element' container reference.

See Also:
  Constant Field Values

#### PICTOGRAM_LINK__BUSINESS_OBJECTS

    static final int PICTOGRAM_LINK__BUSINESS_OBJECTS

The feature id for the 'Business Objects' reference list.

See Also:
  Constant Field Values

#### PICTOGRAM_LINK_FEATURE_COUNT

    static final int PICTOGRAM_LINK_FEATURE_COUNT

The number of structural features of the 'Pictogram Link' class.

See Also:
  Constant Field Values

#### CURVED_CONNECTION

    static final int CURVED_CONNECTION

The meta object id for the '`Curved Connection`' class.

Since:
  0.9
See Also:
  `CurvedConnectionImpl`, `PictogramsPackageImpl.getCurvedConnection()`, Constant Field Values

#### CURVED_CONNECTION__PROPERTIES

    static final int CURVED_CONNECTION__PROPERTIES

The feature id for the 'Properties' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__VISIBLE

    static final int CURVED_CONNECTION__VISIBLE

The feature id for the 'Visible' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__GRAPHICS_ALGORITHM

    static final int CURVED_CONNECTION__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__ACTIVE

    static final int CURVED_CONNECTION__ACTIVE

The feature id for the 'Active' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__LINK

    static final int CURVED_CONNECTION__LINK

The feature id for the 'Link' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__ANCHORS

    static final int CURVED_CONNECTION__ANCHORS

The feature id for the 'Anchors' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__START

    static final int CURVED_CONNECTION__START

The feature id for the 'Start' reference.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__END

    static final int CURVED_CONNECTION__END

The feature id for the 'End' reference.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__PARENT

    static final int CURVED_CONNECTION__PARENT

The feature id for the 'Parent' container reference.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__CONNECTION_DECORATORS

    static final int CURVED_CONNECTION__CONNECTION_DECORATORS

The feature id for the 'Connection Decorators' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION__CONTROL_POINTS

    static final int CURVED_CONNECTION__CONTROL_POINTS

The feature id for the 'Control Points' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### CURVED_CONNECTION_FEATURE_COUNT

    static final int CURVED_CONNECTION_FEATURE_COUNT

The number of structural features of the 'Curved Connection' class.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION

    static final int COMPOSITE_CONNECTION

The meta object id for the '`Composite Connection`' class.

Since:
  0.9
See Also:
  `CompositeConnectionImpl`, `PictogramsPackageImpl.getCompositeConnection()`, Constant Field Values

#### COMPOSITE_CONNECTION__PROPERTIES

    static final int COMPOSITE_CONNECTION__PROPERTIES

The feature id for the 'Properties' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__VISIBLE

    static final int COMPOSITE_CONNECTION__VISIBLE

The feature id for the 'Visible' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__GRAPHICS_ALGORITHM

    static final int COMPOSITE_CONNECTION__GRAPHICS_ALGORITHM

The feature id for the 'Graphics Algorithm' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__ACTIVE

    static final int COMPOSITE_CONNECTION__ACTIVE

The feature id for the 'Active' attribute.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__LINK

    static final int COMPOSITE_CONNECTION__LINK

The feature id for the 'Link' containment reference.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__ANCHORS

    static final int COMPOSITE_CONNECTION__ANCHORS

The feature id for the 'Anchors' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__START

    static final int COMPOSITE_CONNECTION__START

The feature id for the 'Start' reference.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__END

    static final int COMPOSITE_CONNECTION__END

The feature id for the 'End' reference.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__PARENT

    static final int COMPOSITE_CONNECTION__PARENT

The feature id for the 'Parent' container reference.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__CONNECTION_DECORATORS

    static final int COMPOSITE_CONNECTION__CONNECTION_DECORATORS

The feature id for the 'Connection Decorators' containment reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION__CHILDREN

    static final int COMPOSITE_CONNECTION__CHILDREN

The feature id for the 'Children' reference list.

Since:
  0.9
See Also:
  Constant Field Values

#### COMPOSITE_CONNECTION_FEATURE_COUNT

    static final int COMPOSITE_CONNECTION_FEATURE_COUNT

The number of structural features of the 'Composite Connection' class.

Since:
  0.9
See Also:
  Constant Field Values

### Method Detail

#### getShape

    org.eclipse.emf.ecore.EClass getShape()

Returns the meta object for class '`Shape`'.

Returns:
  the meta object for class 'Shape'.
See Also:
  `Shape`

#### getShape_Container

    org.eclipse.emf.ecore.EReference getShape_Container()

Returns the meta object for the container reference '`Container`'.

Returns:
  the meta object for the container reference 'Container'.
See Also:
  `Shape.getContainer()`, `getShape()`

#### getContainerShape

    org.eclipse.emf.ecore.EClass getContainerShape()

Returns the meta object for class '`Container Shape`'.

Returns:
  the meta object for class 'Container Shape'.
See Also:
  `ContainerShape`

#### getContainerShape_Children

    org.eclipse.emf.ecore.EReference getContainerShape_Children()

Returns the meta object for the containment reference list '`Children`'.

Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  `ContainerShape.getChildren()`, `getContainerShape()`

#### getDiagram

    org.eclipse.emf.ecore.EClass getDiagram()

Returns the meta object for class '`Diagram`'.

Returns:
  the meta object for class 'Diagram'.
See Also:
  `Diagram`

#### getDiagram_GridUnit

    org.eclipse.emf.ecore.EAttribute getDiagram_GridUnit()

Returns the meta object for the attribute '`Grid Unit`'.

Returns:
  the meta object for the attribute 'Grid Unit'.
See Also:
  `Diagram.getGridUnit()`, `getDiagram()`

#### getDiagram_DiagramTypeId

    org.eclipse.emf.ecore.EAttribute getDiagram_DiagramTypeId()

Returns the meta object for the attribute '`Diagram Type Id`'.

Returns:
  the meta object for the attribute 'Diagram Type Id'.
See Also:
  `Diagram.getDiagramTypeId()`, `getDiagram()`

#### getDiagram_Connections

    org.eclipse.emf.ecore.EReference getDiagram_Connections()

Returns the meta object for the containment reference list '`Connections`'.

Returns:
  the meta object for the containment reference list 'Connections'.
See Also:
  `Diagram.getConnections()`, `getDiagram()`

#### getDiagram_Name

    org.eclipse.emf.ecore.EAttribute getDiagram_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Diagram.getName()`, `getDiagram()`

#### getDiagram_SnapToGrid

    org.eclipse.emf.ecore.EAttribute getDiagram_SnapToGrid()

Returns the meta object for the attribute '`Snap To Grid`'.

Returns:
  the meta object for the attribute 'Snap To Grid'.
See Also:
  `Diagram.isSnapToGrid()`, `getDiagram()`

#### getDiagram_ShowGuides

    org.eclipse.emf.ecore.EAttribute getDiagram_ShowGuides()

Returns the meta object for the attribute '`Show Guides`'.

Returns:
  the meta object for the attribute 'Show Guides'.
See Also:
  `Diagram`, `getDiagram()`

#### getDiagram_Colors

    org.eclipse.emf.ecore.EReference getDiagram_Colors()

Returns the meta object for the containment reference list '`Colors`'.

Returns:
  the meta object for the containment reference list 'Colors'.
See Also:
  `Diagram.getColors()`, `getDiagram()`

#### getDiagram_Fonts

    org.eclipse.emf.ecore.EReference getDiagram_Fonts()

Returns the meta object for the containment reference list '`Fonts`'.

Returns:
  the meta object for the containment reference list 'Fonts'.
See Also:
  `Diagram.getFonts()`, `getDiagram()`

#### getDiagram_PictogramLinks

    org.eclipse.emf.ecore.EReference getDiagram_PictogramLinks()

Returns the meta object for the reference list '`Pictogram Links`'.

Returns:
  the meta object for the reference list 'Pictogram Links'.
See Also:
  `Diagram.getPictogramLinks()`, `getDiagram()`

#### getDiagram_VerticalGridUnit

    org.eclipse.emf.ecore.EAttribute getDiagram_VerticalGridUnit()

Returns the meta object for the attribute '`Vertical Grid Unit`'.

Returns:
  the meta object for the attribute 'Vertical Grid Unit'.
See Also:
  `Diagram.getVerticalGridUnit()`, `getDiagram()`

#### getDiagram_Version

    org.eclipse.emf.ecore.EAttribute getDiagram_Version()

Returns the meta object for the attribute '`Version`'.

Returns:
  the meta object for the attribute 'Version'.
Since:
  0.9
See Also:
  `Diagram.getVersion()`, `getDiagram()`

#### getPictogramElement

    org.eclipse.emf.ecore.EClass getPictogramElement()

Returns the meta object for class '`Pictogram Element`'.

Returns:
  the meta object for class 'Pictogram Element'.
See Also:
  `PictogramElement`

#### getPictogramElement_Visible

    org.eclipse.emf.ecore.EAttribute getPictogramElement_Visible()

Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  `PictogramElement.isVisible()`, `getPictogramElement()`

#### getPictogramElement_GraphicsAlgorithm

    org.eclipse.emf.ecore.EReference getPictogramElement_GraphicsAlgorithm()

Returns the meta object for the containment reference '`Graphics Algorithm`'.

Returns:
  the meta object for the containment reference 'Graphics Algorithm'.
See Also:
  `PictogramElement.getGraphicsAlgorithm()`, `getPictogramElement()`

#### getPictogramElement_Active

    org.eclipse.emf.ecore.EAttribute getPictogramElement_Active()

Returns the meta object for the attribute '`Active`'.

Returns:
  the meta object for the attribute 'Active'.
See Also:
  `PictogramElement.isActive()`, `getPictogramElement()`

#### getPictogramElement_Link

    org.eclipse.emf.ecore.EReference getPictogramElement_Link()

Returns the meta object for the containment reference '`Link`'.

Returns:
  the meta object for the containment reference 'Link'.
See Also:
  `PictogramElement.getLink()`, `getPictogramElement()`

#### getConnection

    org.eclipse.emf.ecore.EClass getConnection()

Returns the meta object for class '`Connection`'.

Returns:
  the meta object for class 'Connection'.
See Also:
  `Connection`

#### getConnection_Start

    org.eclipse.emf.ecore.EReference getConnection_Start()

Returns the meta object for the reference '`Start`'.

Returns:
  the meta object for the reference 'Start'.
See Also:
  `Connection.getStart()`, `getConnection()`

#### getConnection_End

    org.eclipse.emf.ecore.EReference getConnection_End()

Returns the meta object for the reference '`End`'.

Returns:
  the meta object for the reference 'End'.
See Also:
  `Connection.getEnd()`, `getConnection()`

#### getConnection_Parent

    org.eclipse.emf.ecore.EReference getConnection_Parent()

Returns the meta object for the container reference '`Parent`'.

Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `Connection.getParent()`, `getConnection()`

#### getConnection_ConnectionDecorators

    org.eclipse.emf.ecore.EReference getConnection_ConnectionDecorators()

Returns the meta object for the containment reference list '`Connection Decorators`'.

Returns:
  the meta object for the containment reference list 'Connection Decorators'.
See Also:
  `Connection.getConnectionDecorators()`, `getConnection()`

#### getAnchor

    org.eclipse.emf.ecore.EClass getAnchor()

Returns the meta object for class '`Anchor`'.

Returns:
  the meta object for class 'Anchor'.
See Also:
  `Anchor`

#### getAnchor_Parent

    org.eclipse.emf.ecore.EReference getAnchor_Parent()

Returns the meta object for the container reference '`Parent`'.

Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `Anchor.getParent()`, `getAnchor()`

#### getAnchor_OutgoingConnections

    org.eclipse.emf.ecore.EReference getAnchor_OutgoingConnections()

Returns the meta object for the reference list '`Outgoing Connections`'.

Returns:
  the meta object for the reference list 'Outgoing Connections'.
See Also:
  `Anchor.getOutgoingConnections()`, `getAnchor()`

#### getAnchor_IncomingConnections

    org.eclipse.emf.ecore.EReference getAnchor_IncomingConnections()

Returns the meta object for the reference list '`Incoming Connections`'.

Returns:
  the meta object for the reference list 'Incoming Connections'.
See Also:
  `Anchor.getIncomingConnections()`, `getAnchor()`

#### getAnchor_ReferencedGraphicsAlgorithm

    org.eclipse.emf.ecore.EReference getAnchor_ReferencedGraphicsAlgorithm()

Returns the meta object for the reference '`Referenced Graphics Algorithm`'.

Returns:
  the meta object for the reference 'Referenced Graphics Algorithm'.
See Also:
  `Anchor.getReferencedGraphicsAlgorithm()`, `getAnchor()`

#### getAnchorContainer

    org.eclipse.emf.ecore.EClass getAnchorContainer()

Returns the meta object for class '`Anchor Container`'.

Returns:
  the meta object for class 'Anchor Container'.
See Also:
  `AnchorContainer`

#### getAnchorContainer_Anchors

    org.eclipse.emf.ecore.EReference getAnchorContainer_Anchors()

Returns the meta object for the containment reference list '`Anchors`'.

Returns:
  the meta object for the containment reference list 'Anchors'.
See Also:
  `AnchorContainer.getAnchors()`, `getAnchorContainer()`

#### getFixPointAnchor

    org.eclipse.emf.ecore.EClass getFixPointAnchor()

Returns the meta object for class '`Fix Point Anchor`'.

Returns:
  the meta object for class 'Fix Point Anchor'.
See Also:
  `FixPointAnchor`

#### getFixPointAnchor_Location

    org.eclipse.emf.ecore.EReference getFixPointAnchor_Location()

Returns the meta object for the containment reference '`Location`'.

Returns:
  the meta object for the containment reference 'Location'.
See Also:
  `FixPointAnchor.getLocation()`, `getFixPointAnchor()`

#### getBoxRelativeAnchor

    org.eclipse.emf.ecore.EClass getBoxRelativeAnchor()

Returns the meta object for class '`Box Relative Anchor`'.

Returns:
  the meta object for class 'Box Relative Anchor'.
See Also:
  `BoxRelativeAnchor`

#### getBoxRelativeAnchor_RelativeWidth

    org.eclipse.emf.ecore.EAttribute getBoxRelativeAnchor_RelativeWidth()

Returns the meta object for the attribute '`Relative Width`'.

Returns:
  the meta object for the attribute 'Relative Width'.
See Also:
  `BoxRelativeAnchor.getRelativeWidth()`, `getBoxRelativeAnchor()`

#### getBoxRelativeAnchor_RelativeHeight

    org.eclipse.emf.ecore.EAttribute getBoxRelativeAnchor_RelativeHeight()

Returns the meta object for the attribute '`Relative Height`'.

Returns:
  the meta object for the attribute 'Relative Height'.
See Also:
  `BoxRelativeAnchor.getRelativeHeight()`, `getBoxRelativeAnchor()`

#### getChopboxAnchor

    org.eclipse.emf.ecore.EClass getChopboxAnchor()

Returns the meta object for class '`Chopbox Anchor`'.

Returns:
  the meta object for class 'Chopbox Anchor'.
See Also:
  `ChopboxAnchor`

#### getConnectionDecorator

    org.eclipse.emf.ecore.EClass getConnectionDecorator()

Returns the meta object for class '`Connection Decorator`'.

Returns:
  the meta object for class 'Connection Decorator'.
See Also:
  `ConnectionDecorator`

#### getConnectionDecorator_LocationRelative

    org.eclipse.emf.ecore.EAttribute getConnectionDecorator_LocationRelative()

Returns the meta object for the attribute '`Location Relative`'.

Returns:
  the meta object for the attribute 'Location Relative'.
See Also:
  `ConnectionDecorator.isLocationRelative()`, `getConnectionDecorator()`

#### getConnectionDecorator_Location

    org.eclipse.emf.ecore.EAttribute getConnectionDecorator_Location()

Returns the meta object for the attribute '`Location`'.

Returns:
  the meta object for the attribute 'Location'.
See Also:
  `ConnectionDecorator.getLocation()`, `getConnectionDecorator()`

#### getConnectionDecorator_Connection

    org.eclipse.emf.ecore.EReference getConnectionDecorator_Connection()

Returns the meta object for the container reference '`Connection`'.

Returns:
  the meta object for the container reference 'Connection'.
See Also:
  `ConnectionDecorator.getConnection()`, `getConnectionDecorator()`

#### getFreeFormConnection

    org.eclipse.emf.ecore.EClass getFreeFormConnection()

Returns the meta object for class '`Free Form Connection`'.

Returns:
  the meta object for class 'Free Form Connection'.
See Also:
  `FreeFormConnection`

#### getFreeFormConnection_Bendpoints

    org.eclipse.emf.ecore.EReference getFreeFormConnection_Bendpoints()

Returns the meta object for the containment reference list '`Bendpoints`'.

Returns:
  the meta object for the containment reference list 'Bendpoints'.
See Also:
  `FreeFormConnection.getBendpoints()`, `getFreeFormConnection()`

#### getManhattanConnection

    org.eclipse.emf.ecore.EClass getManhattanConnection()

Returns the meta object for class '`Manhattan Connection`'.

Returns:
  the meta object for class 'Manhattan Connection'.
See Also:
  `ManhattanConnection`

#### getPictogramLink

    org.eclipse.emf.ecore.EClass getPictogramLink()

Returns the meta object for class '`Pictogram Link`'.

Returns:
  the meta object for class 'Pictogram Link'.
See Also:
  `PictogramLink`

#### getPictogramLink_PictogramElement

    org.eclipse.emf.ecore.EReference getPictogramLink_PictogramElement()

Returns the meta object for the container reference '`Pictogram Element`'.

Returns:
  the meta object for the container reference 'Pictogram Element'.
See Also:
  `PictogramLink.getPictogramElement()`, `getPictogramLink()`

#### getPictogramLink_BusinessObjects

    org.eclipse.emf.ecore.EReference getPictogramLink_BusinessObjects()

Returns the meta object for the reference list '`Business Objects`'.

Returns:
  the meta object for the reference list 'Business Objects'.
See Also:
  `PictogramLink.getBusinessObjects()`, `getPictogramLink()`

#### getAdvancedAnchor

    org.eclipse.emf.ecore.EClass getAdvancedAnchor()

Returns the meta object for class '`Advanced Anchor`'.

Returns:
  the meta object for class 'Advanced Anchor'.
Since:
  0.9
See Also:
  `AdvancedAnchor`

#### getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint

    org.eclipse.emf.ecore.EAttribute getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint()

Returns the meta object for the attribute ' `Use Anchor Location As Connection Endpoint`'.

Returns:
  the meta object for the attribute ' Use Anchor Location As Connection Endpoint'.
Since:
  0.9
See Also:
  `AdvancedAnchor.isUseAnchorLocationAsConnectionEndpoint()`, `getAdvancedAnchor()`

#### getCurvedConnection

    org.eclipse.emf.ecore.EClass getCurvedConnection()

Returns the meta object for class ' `Curved Connection`'.

Returns:
  the meta object for class 'Curved Connection'.
Since:
  0.9
See Also:
  `CurvedConnection`

#### getCurvedConnection_ControlPoints

    org.eclipse.emf.ecore.EReference getCurvedConnection_ControlPoints()

Returns the meta object for the containment reference list '`Control Points`'.

Returns:
  the meta object for the containment reference list 'Control Points'.
Since:
  0.9
See Also:
  `CurvedConnection.getControlPoints()`, `getCurvedConnection()`

#### getCompositeConnection

    org.eclipse.emf.ecore.EClass getCompositeConnection()

Returns the meta object for class '`Composite Connection`'.

Returns:
  the meta object for class 'Composite Connection'.
Since:
  0.9
See Also:
  `CompositeConnection`

#### getCompositeConnection_Children

    org.eclipse.emf.ecore.EReference getCompositeConnection_Children()

Returns the meta object for the reference list '`Children`'.

Returns:
  the meta object for the reference list 'Children'.
Since:
  0.9
See Also:
  `CompositeConnection.getChildren()`, `getCompositeConnection()`

#### getPictogramsFactory

    PictogramsFactory getPictogramsFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.